Package org.apache.catalina.core

## Class AccessLogAdapter

- java.lang.Object
- - org.apache.catalina.core.AccessLogAdapter

- All Implemented Interfaces:
    `AccessLog`

      public class AccessLogAdapter
      extends java.lang.Object
      implements AccessLog

  A helper class that wraps several AccessLog instances.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.catalina.AccessLog

      `PROTOCOL_ATTRIBUTE, REMOTE_ADDR_ATTRIBUTE, REMOTE_HOST_ATTRIBUTE, SERVER_NAME_ATTRIBUTE, SERVER_PORT_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessLogAdapter​(AccessLog log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(AccessLog log)` |
    `boolean` | `getRequestAttributesEnabled()` |
    `void` | `log​(Request request, Response response, long time)` | Add the request/response to the access log using the specified processing time.
    `void` | `setRequestAttributesEnabled​(boolean requestAttributesEnabled)` | Should this valve use request attributes for IP address, hostname, protocol and port used for the request?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogAdapter

          public AccessLogAdapter​(AccessLog log)

  - ### Method Detail

    - #### add

          public void add​(AccessLog log)

    - #### log

          public void log​(Request request,
                          Response response,
                          long time)

      Description copied from interface: `AccessLog`
      Add the request/response to the access log using the specified processing time.
      Specified by:
        `log` in interface `AccessLog`
      Parameters:
        `request` - Request (associated with the response) to log
        `response` - Response (associated with the request) to log
        `time` - Time taken to process the request/response in nanoseconds (use 0 if not known); in Tomcat versions prior to 10, the time unit was milliseconds

    - #### setRequestAttributesEnabled

          public void setRequestAttributesEnabled​(boolean requestAttributesEnabled)

      Description copied from interface: `AccessLog`
      Should this valve use request attributes for IP address, hostname, protocol and port used for the request? The attributes used are:
      - org.apache.catalina.RemoteAddr
      - org.apache.catalina.RemoteHost
      - org.apache.catalina.Protocol
      - org.apache.catalina.ServerName
      - org.apache.catalina.ServerPost
      Specified by:
        `setRequestAttributesEnabled` in interface `AccessLog`
      Parameters:
        `requestAttributesEnabled` - `true` causes the attributes to be used, `false` causes the original values to be used.

    - #### getRequestAttributesEnabled

          public boolean getRequestAttributesEnabled()

      Specified by:
        `getRequestAttributesEnabled` in interface `AccessLog`
      Returns:
        `true` if the attributes will be logged, otherwise `false`
      See Also:
        `AccessLog.setRequestAttributesEnabled(boolean)`